devguard
RisksCriteria

Get the risk criteria: the likelihood and impact scales, the risk levels and the matrix.

GET
/risks/criteria/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string
version?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/risks/criteria/?organizationId=string"
{  "likelihood": [    {      "name": "string",      "description": ""    },    {      "name": "string",      "description": ""    },    {      "name": "string",      "description": ""    }  ],  "impact": [    {      "name": "string",      "description": "",      "opportunityName": "",      "opportunityDescription": "",      "criteria": []    },    {      "name": "string",      "description": "",      "opportunityName": "",      "opportunityDescription": "",      "criteria": []    },    {      "name": "string",      "description": "",      "opportunityName": "",      "opportunityDescription": "",      "criteria": []    }  ],  "impactCategories": [],  "levels": [    {      "name": "string",      "opportunityName": "",      "tone": "success",      "acceptable": true,      "response": ""    },    {      "name": "string",      "opportunityName": "",      "tone": "success",      "acceptable": true,      "response": ""    }  ],  "matrix": [    [      0    ]  ],  "reviewIntervalMonths": 12}

How is this guide?